:root {
  --grille-coul: #004b8a;
  --grille-filet: #93bbdb;
  --grille-fond: #fff;
  --grille-salle: var(--bs-primary);
  --grille-panier: #f5f5f5;
}

html, body {
  height: 100%;
}

.fa-xmark-large:hover {
  opacity: 0.5;
}

#panier-checkout {
  height: 100%;
}
#panier-checkout #col-panier {
  border-left: 2px solid #dedede;
  border-right: 2px solid #dedede;
  background: #f5f5f5;
  min-height: 100%;
}
#panier-checkout #col-panier #section-panier {
  width: 100%;
}

#offcanvas-panier .offcanvas-header .offcanvas-title {
  color: var(--grille-coul) !important;
  margin: 0;
}
#offcanvas-panier .offcanvas-body {
  margin-top: -1rem;
  padding-top: 0;
}

#col-panier h5 {
  color: var(--bs-heading-color) !important;
  margin-top: 1rem;
  opacity: 0.5;
  text-transform: uppercase;
  font-size: 16px;
  letter-spacing: 4px;
}
#col-panier .content {
  margin-bottom: 1.5rem;
}
#col-panier .seance-entree {
  padding: 1rem;
  border: 1px solid #ccc;
  background: #fff;
  margin-bottom: 1rem;
}
#col-panier .seance-entree:hover {
  border: 1px solid var(--bs-primary);
}
#col-panier .seance-entree .ligne-info {
  flex-wrap: wrap;
  font-size: 12px;
}
#col-panier .seance-entree .ligne-info .info {
  margin-right: 10px;
  text-wrap: nowrap;
}
#col-panier .seance-entree .titre {
  margin: 4px 4px;
  font-weight: 800;
}
#col-panier .seance-entree .supp-seance, #col-panier .seance-entree .supp-pass {
  font-size: 14px;
  margin-left: 0.5rem;
  color: var(--bs-danger);
}
#col-panier .seance-entree .supp-seance:hover .fal,
#col-panier .seance-entree .supp-pass:hover .fal {
  font-weight: 900;
}
#col-panier .seance-entree:has(.supp-seance:hover) {
  border: 1px solid var(--bs-danger);
  outline: 1px solid var(--bs-danger);
}
#col-panier .seance-entree .list-group-item:has(.supp-pass:hover) {
  border: 1px solid var(--bs-danger);
}
#col-panier .seance-entree .list-group-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  position: relative;
  z-index: 1;
  padding: 4px 10px;
}
#col-panier .seance-entree .list-group-item:hover {
  z-index: 2;
}
#col-panier .seance-entree .list-group-item:hover .tarif-nom {
  color: var(--bs-primary);
}
#col-panier .seance-entree .list-group-item:hover .form-control {
  outline: 2px solid var(--bs-primary-border-subtle);
}
#col-panier .seance-entree .list-group-item:hover:has(.supp-pass:hover) .tarif-nom {
  color: var(--bs-danger);
}
#col-panier .seance-entree .list-group-item .tarif-nom {
  font-size: 12px;
  padding-right: 1rem;
  min-width: 100px;
}
#col-panier .seance-entree .list-group-item .prix-quantite {
  width: 200px;
  text-align: right;
  white-space: nowrap;
}
#col-panier .seance-entree .list-group-item .prix-quantite select.form-control {
  display: inline-block;
  width: 40px;
}
#col-panier .seance-entree .list-group-item .prix-quantite .prix {
  display: inline-block;
  width: 70px;
  text-align: right;
}
#col-panier .seance-entree .list-group-item .prix-quantite .prix.zero {
  opacity: 0.2;
}
#col-panier #section-pass .titre {
  margin: 0;
  font-weight: 800;
}
#col-panier #panier-total {
  margin-top: 1rem;
  padding: 1rem 0;
  border-top: 1px solid #ccc;
  width: 100%;
}
#col-panier #panier-total #cgv-total #ligne-total {
  display: flex;
  justify-content: space-between;
  margin-top: 2rem;
  margin-bottom: 0.5rem;
}
#col-panier #panier-total #cgv-total #ligne-total h5 {
  opacity: 1;
  margin: 0;
  line-height: 24px;
}
#col-panier #panier-total #cgv-total #ligne-total #panier-montant {
  text-align: right;
}
#col-panier #panier-total #cgv-total #connectez-text, #col-panier #panier-total #cgv-total #cgv-text {
  color: #999;
}
#col-panier #panier-total #cgv-total:hover #cgv-text, #col-panier #panier-total #cgv-total:hover #connectez-text {
  color: var(--bs-danger) !important;
}
#col-panier #panier-total #cgv-total:has(#cgv:checked) #cgv-text {
  visibility: hidden;
}

@media (max-width: 767.98px) {
  #panier-checkout {
    height: auto;
  }
}
@media (min-width: 1200px) {
  #panier-checkout #col-panier, #panier-checkout #col-form {
    display: flex;
  }
  #panier-checkout #col-panier .content, #panier-checkout #col-form .content {
    width: 560px;
  }
  #panier-checkout #col-form {
    justify-content: end;
  }
  #panier-checkout #col-panier {
    justify-content: start;
  }
}
